mpc85xx_rio_config_write
Prev | PPC32 support | Next

## Name

mpc85xx_rio_config_write — Generate a MPC85xx write maintenance transaction

## Synopsis

`int mpc85xx_rio_config_write (` | int | index,
| u16 | destid,
| u8 | hopcount,
| u32 | offset,
| int | len,
| u32 | val`)`;

## Arguments

`index`

  ID of RapdiIO interface

`destid`

  Destination ID of transaction

`hopcount`

  Number of hops to target device

`offset`

  Offset into configuration space

`len`

  Length (in bytes) of the maintenance transaction

`val`

  Value to be written

## Description

Generates an MPC85xx write maintenance transaction. Returns `0` on success or `-EINVAL` on failure.

Prev | Up | Next
mpc85xx_rio_config_read | Home | mpc85xx_rio_tx_handler